## Описание

Каждый элемент массива имеет определенный тип:

1. string (default)
2. date
3. boolean
4. link

## Использование

Необходимо указать массив нужных параметров со следующей структурой:

* value - значение (может также принимать компонент)
* type - тип значения (если тип не указывать, то будет использован базовый тип string)
* link - url, на который должна вести ссылка
* valueNoWrap - параметр, отвечающий за перенос текста
* name - название параметра

```tsx
<InfoList>
	{([
		{
			name: 'Кол-во характеристик:',
			value: 5,
		},
		{
			name: 'Кол-во товаров:',
			value: 10,
		},
	] as InfoListItemCommonType[]).map(item => (
		<InfoList.Item {...item} key={item.name} />
	))}
</InfoList>
```
